public class Main {
  public static void main(String[] args) {

    printClasses("D.getClasses", D.class.getClasses()); // D$E
    printClasses("D.getDeclaredClasses", D.class.getDeclaredClasses()); 
                                                        // D$E

    printClasses("A.getClasses", A.class.getClasses()); // A$B A$C
    printClasses("A.getDeclaredClasses", A.class.getDeclaredClasses()); 
                                                        // A$B A$C

    printClasses("F.getClasses", F.class.getClasses()); // F$G D$E
    printClasses("F.getDeclaredClasses", F.class.getDeclaredClasses()); 
                                                        // F$G F$H

    System.out.println(A.class.getDeclaringClass());   // null
    System.out.println(A.B.class.getDeclaringClass()); // interface A
    System.out.println(D.E.class.getDeclaringClass()); // class D
    System.out.println(F.E.class.getDeclaringClass()); // class D
  }

  public static void printClasses(String msg, Class[] cls) {
    System.out.print(msg + ": ");
    for (int i = 0; cls != null && i < cls.length; i++) {
      System.out.print(cls[i].getName() + " ");
    }
    System.out.println();
  }
}
