class Main {
    public static void main(String[] args) {
//
        Float d = new Float(1.23e3);
        System.out.println(d.compareTo(new Float(1.23e3)));              // 0
        System.out.println(d.compareTo(new Float(0.0)));                 // 1

        System.out.println(new Float(0.0).compareTo(new Float(-0.0)));   // 1
        System.out.println(new Float(0.0).compareTo(new Float(0.0)));    // 0
        
        System.out.println(new Float(Float.POSITIVE_INFINITY).compareTo(
            new Float(Float.POSITIVE_INFINITY)));                        // 0
        
        System.out.println(new Float(Float.POSITIVE_INFINITY).compareTo(
            new Float(Float.NEGATIVE_INFINITY)));                        // 1
        
        System.out.println(new Float(Float.POSITIVE_INFINITY).compareTo(
            new Float(Float.NaN)));                                      // -1
        
        System.out.println(new Float(Float.POSITIVE_INFINITY).compareTo(
            new Float(Float.MAX_VALUE)));                                // 1
        
        System.out.println(new Float(Float.NEGATIVE_INFINITY).compareTo(
            new Float(Float.MIN_VALUE)));                                // -1 
        System.out.println(new Float(Float.NaN).compareTo(
            new Float(Float.NaN)));                                      // 0
        
        System.out.println(new Float(Float.NaN).compareTo(new Float(0.0))); // 1
        
        System.out.println(d.compareTo("abc")); // ClassCastException
//
    }
}
