class Main {
    public static void main(String[] args) {
//
        // Load p.C.
        new p.C();

        Package p = Package.getPackage("p");
        if (p == null) {
            System.out.println("Package p is not found.");
            System.exit(1);
        }
        System.out.println("Specification Version of p: "
            + p.getSpecificationVersion());                       // 1.2.3

        System.out.println( p.isCompatibleWith("1") );            // true
        System.out.println( p.isCompatibleWith("1.0") );          // true
        System.out.println( p.isCompatibleWith("1.2") );          // true
        System.out.println( p.isCompatibleWith("1.2.3") );        // true
        System.out.println( p.isCompatibleWith("1.2.3.0") );      // true
        System.out.println( p.isCompatibleWith("1.2.3.0.0.0") );  // true
        System.out.println( p.isCompatibleWith("1.2.3.1") );      // false

        System.out.println( p.isCompatibleWith("0") );            // true
        System.out.println( p.isCompatibleWith("2") );            // false
        System.out.println( p.isCompatibleWith("1.beta") );   // NumberFormatException
//
    }
}
