import java.text.BreakIterator;

class Main {
    public static void main(String args[]) {
        String str = "Thanks! Hi-ho \n bye.";
    
        // Create word break iterator.
        BreakIterator wb = BreakIterator.getWordInstance();
        wb.setText(str);

        // Is the iterator's cursor at a boundary?
        System.out.println(wb.isBoundary(0));          // true
        System.out.println(str.charAt(0));             // 'T'

        System.out.println(wb.isBoundary(5));          // false
        System.out.println(str.charAt(5));             // 's'

        System.out.println(wb.isBoundary(6));          // true
        System.out.println(str.charAt(6));             // '!'

        System.out.println(wb.isBoundary(7));          // true
        System.out.println(str.charAt(7));             // ' '

        System.out.println(wb.isBoundary(10));         // true
        System.out.println(str.charAt(10));            // '-'
    }
}
