import java.util.*;

class Main {
    public static void main(String[] args) {
        List l1 = Arrays.asList(new String[]{"dog", "cat"});
        List l2 = Arrays.asList(new String[]{"cat", "pig"});
        System.out.println(append(l1, l2));
        System.out.println(intersection(l1, l2));
    }

//
    public static List append(List l1, List l2) {
        List result;
        if (l1 instanceof AbstractSequentialList) {
            result = new LinkedList(l1);
            result.addAll(l2);
        } else {
            result = new ArrayList(l1);
            result.addAll(l2);
        }
        return result;
    }
//
    public static List intersection(List l1, List l2) {
        List result;
        if (l1 instanceof AbstractSequentialList) {
            result = new LinkedList(l1);
            result.retainAll(l2);
        } else {
            result = new ArrayList(l1);
            result.retainAll(l2);
        }
        return result;
    }
}