import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = new LinkedList(Arrays.asList(new String[]{"dog", "cat"}));
        ListIterator it = list.listIterator();
        
        System.out.println( it.next() );        // dog
        it.add("pig");

        // The element is added just after dog
        System.out.println( list );             // [dog, pig, cat]

        // Adding an element moves the cursor.
        System.out.println( it.next() );        // cat

        System.out.println( it.previous() );    // cat
        System.out.println( it.previous() );    // pig
        System.out.println( it.previous() );    // dog

        // The cursor is now at the beginning of the list.
        it.add("cow");
        System.out.println( list );             // [cow, dog, cat, pig]
//
    }
}
