import java.util.*;

class Main {
    public static void main(String[] args) {
//
        List list = Arrays.asList(new String[]{"dog", "cat"});
        ListIterator it = list.listIterator();
        
        System.out.println( it.hasPrevious() );    // false
        //System.out.println( it.previous() );     // NoSuchElementException
        System.out.println( it.next() );           // dog
        System.out.println( it.hasPrevious() );    // true
        System.out.println( it.previous() );       // dog
        System.out.println( it.hasPrevious() );    // false

        // Common way to loop backwards through a list.
        for (ListIterator i=list.listIterator(list.size()); i.hasPrevious(); ) {
            System.out.println( i.previous() );    // cat dog
        }
//
    }
}
