import java.util.*;

class Main {
    public static void main(String[] args) {
//
        TreeSet set = new TreeSet(Arrays.asList(new Object[]{"c", "p"}));
        Set tailset = set.tailSet("g");
        System.out.println( tailset );               // [p]

        // You can't add anything to the tailset before g.
        //System.out.println( tailset.add("a") );   // IllegalArgumentException
        System.out.println( tailset.add("g") );     // true
        System.out.println( tailset.add("z") );     // true
        System.out.println( set );                  // [c, g, p, z]

        // Add to set and check tailset.
        set.add("h");
        System.out.println( tailset );              // [g, h, p, z]
//
    }
}
