import java.io.*;

class Main {
    public static void main(String[] args) {
       try {
           ObjectInputStream in = 
               new TestObjInputStream(new FileInputStream("test.ser"));
           System.out.println(in.readObject());
           in.close();
       } catch (ClassNotFoundException e) {
           System.out.println(e);
       } catch (IOException e) {
           System.out.println(e);
       }
    }

    static class TestObjInputStream extends ObjectInputStream {
        InputStream in;

        TestObjInputStream(InputStream in) throws IOException {
            super(); // use protected constructor
            this.in = in;
        }

        protected Object readObjectOverride() throws OptionalDataException, 
            ClassNotFoundException, IOException {
            return ("testing"); // bogus implementation, just for demo
        }

        public void close() throws IOException {
            in.close();
        }
    }
}
