import java.net.SocketPermission;

public class Main {
    public static void main(String[] args) {
//
        SocketPermission p1 = new SocketPermission("*", "listen, accept");
        SocketPermission p2 = new SocketPermission("java.sun.com:80", "connect");
        SocketPermission p3 = new SocketPermission("java.sun.com", "connect");
        SocketPermission p4 = new SocketPermission("JAVA.SUN.COM", "resolve, connect");

        System.out.println(p1.equals(p2)); // false
        System.out.println(p2.equals(p3)); // false because port is different
        System.out.println(p3.equals(p4)); // true because connect implies resolve
                                           // and case in host name is ignored

        System.out.println(p1.hashCode()); // 42
        System.out.println(p2.hashCode()); // 1352280493
        System.out.println(p3.hashCode()); // 1352280493
        System.out.println(p4.hashCode()); // 1352280493
//
    }
}


    
