import java.net.URLClassLoader;
import java.net.URL;
import java.net.MalformedURLException;

public class Main {
    public static void main(String[] args) {
//
        try {
            URL[] urls = new URL[2];
            urls[0] = new URL("file:p.jar");
            urls[1] = new URL("http://wombat.eng.sun.com/");

            // Create URLClassLoader
            URLClassLoader cl = URLClassLoader.newInstance(urls);

            // Find the first "index.html" from these URLs
            System.out.println(cl.findResource("index.html"));

            System.out.println("-----------------");

            // Find first "index.html" from parent class loader + URLs
            System.out.println(cl.getResource("index.html"));
        } catch (MalformedURLException e) {
            e.printStackTrace();
        } catch (java.io.IOException e) {
            e.printStackTrace();
        }
//
    }
}
