import java.text.Collator;
import java.util.Locale;
import java.util.Vector;
import java.io.*;

class MainNull {

    public static void main(String[] args) {
        Locale loc = Locale.FRENCH;

        // Create an instance of a subclass of collator.
        Collator collator = Collator.getInstance(loc);

        // Find out what kind of subclass it is.
        System.out.println(collator.getClass() + "\n");
                                     // java.text.RuleBasedcollator
        // Create an array with null.
        String[] array = new String[] { "hi", null };
        System.out.println(array[0]);
        System.out.println(array[1]);

        // Sort and print the array.
 //       sortArray(collator, array);
        printArray(array);
    }

    // Sort strings.
    public static void sortArray(Collator collator, String[] strArray) {
        String tmp;
        // Sort the string array.
        for (int i = 0; i < strArray.length; i++) {
            for (int j = i + 1; j < strArray.length; j++) {
                // Compare members of the array two at a time.
                if( collator.compare(strArray[i], strArray[j] ) > 0 ) {
                    //swap strArray[i] and strArray[j] 
                    tmp = strArray[i];
                    strArray[i] = strArray[j];
                    strArray[j] = tmp;
                }
            }
        }
    }


    // Print the contents of an array
    static void printArray(String[] a) {
        for (int i = 0; i < a.length; i++) {
            if (a[i].length() == 0) {
                System.out.println("(empty)" + "  ");
            } else {
                if (a[i] == null) {
                    System.out.println("(null)" + "  ");
                } else {
                    System.out.println(a[i] + "  ");
                }
            }
        }
    }
/*

    // Print the contents of an array
    static void printArray(String[] a) {
        for (int i = 0; i < a.length; i++) {
            if (a[i] == null) {
                System.out.println("(null)" + "  ");
            } else {
                if (a[i].length() == 0) {
                   System.out.println("(empty)" + "  ");
               } else {

                    System.out.println(a[i] + "  ");
                }
            }
        }
    }
*/
}


