import java.text.StringCharacterIterator;

class MainEmpty {
    public static void main(String args[]) {

        String str =  "";

        // create string character iterator
        StringCharacterIterator sci = 
                               new StringCharacterIterator(str, 0, 0, 0);

        System.out.println("'sci' is the string character iterator ");

        int i = sci.getIndex() ;
        System.out.println("sci.getIndex(): " + i);

        i = sci.getIndex() - 1;
        System.out.println("sci.getIndex()-1: " + i);

        char rtn = sci.current();
        if (rtn == StringCharacterIterator.DONE)
           System.out.println("sci.current() returns DONE");
        else
           System.out.println("sci.current():   " + rtn);
/*
        rtn = sci.last();
        if (rtn == StringCharacterIterator.DONE)
           System.out.println("sci.last() returns DONE");
        else
           System.out.println("sci.last():   " + i);
*/

        i = sci.getEndIndex();
        if (i == StringCharacterIterator.DONE)
           System.out.println("sci.getEndIndex() returns DONE");
        else
           System.out.println("sci.getEndIndex(): " + i);


        rtn = sci.setIndex(sci.getEndIndex());
        if (rtn == StringCharacterIterator.DONE)
           System.out.println("sci.setIndex(getEndIndex()) returns DONE");
        else
           System.out.println("sci.setIndex(getEndIndex()): " + rtn);

        i = sci.getIndex() - 1;
        System.out.println("sci.getIndex()-1: " + i);

        rtn = sci.current();
        System.out.println("sci.current():   " + rtn);
    }

    // Print the text with a separator '|' at the current position
    public static void printOutChar(StringCharacterIterator iter, 
                                    String str, char rtn) {
        printFirstPart(iter, str);
        if (rtn == StringCharacterIterator.DONE) 
            System.out.println("   returns " + "DONE");
        else
            System.out.println("   returns \"" + rtn + "\"");
    }

    // Print the text with a separator '|' at the current position
    public static void printOutInt(StringCharacterIterator iter, 
        String str, int rtn) {
        printFirstPart(iter, str);
        if (rtn == StringCharacterIterator.DONE) 
            System.out.println("   returns " + "DONE");
        else
            System.out.println("   returns \"" + rtn + "\"");
    }

  public static void printFirstPart(StringCharacterIterator iter, String str) {
        int pos = iter.getIndex();
        System.out.print("\"" + str.substring(0,pos));
        System.out.print("|");
        System.out.print(str.substring(pos,str.length()) + "\"");
  }
}
