import java.text.*;

class Main {
    public static void main(String[] args) {
//
        String str = "abcdefghij";
        StringCharacterIterator it = new StringCharacterIterator(str, 5);
        System.out.println( it.getIndex() );    // 5
        System.out.println( it.previous() );    // e
        System.out.println( it.getIndex() );    // 4
        System.out.println( it.first() );       // a
        System.out.println( it.previous() );    // DONE
        System.out.println( it.getIndex() );    // 0

        // A subrange.
        it = new StringCharacterIterator(str, 5, 6, 6);
        System.out.println( it.getIndex() );    // 6
        System.out.println( it.previous() );    // f
        System.out.println( it.getIndex() );    // 5
        System.out.println( it.previous() );    // DONE
        System.out.println( it.getIndex() );    // 5

        // The current character of an empty subrange is DONE.
        it = new StringCharacterIterator(str, 5, 5, 5);
        System.out.println( it.previous() );        // DONE
//
    }
}
