import java.io.*;
import java.util.*;

class Dir {
    String[] files;

    Dir(String dir) {
        try {
            files = new File(dir).list();
        } catch (Exception e) {
            files = null;
        }
    }
    List getList() {
        return new AbstractList() {
            public int size() {
                return files == null ? 0 : files.length;
            }
            public Object get(int index) {
                return files[index];
            }
        };
    }

    public static void main(String[] args) {
        List list = new Dir(args[0]).getList();
        for (Iterator it=list.iterator(); it.hasNext(); ) {
            System.out.println(it.next());
        }
    }
}