import java.util.*;

class Main {
    public static void main(String[] args) {
        System.out.println( sequence(1, 5, null));             // 3, 4, 2, 5, 1
        System.out.println( sequence(1, 5, null));             // 3, 5, 4, 2, 1

        // Now explicitly use a Random object.
        System.out.println( sequence(1, 5, new Random(257)) );  // 4, 1, 3, 2, 5
        System.out.println( sequence(1, 5, new Random(257)) );  // 4, 1, 3, 2, 5
    }

    public static List sequence(int s, int e, Random r) {
        List list = new ArrayList();
        for (int i=s; i<=e; i++) {
            list.add(new Integer(i));
        }
        if (r == null) {
            Collections.shuffle(list);
        } else {
            Collections.shuffle(list, r);
        }
        return list;
    }
}
