import java.util.*;

class Main {
    public static void main(String[] args) {
        ArrayList list = new ArrayList(
            Arrays.asList(new String[]{"dog", null}));

        Object[] objs = list.toArray();
        print(objs);                         // [dog, null]

        // Since we passed in a string array, we can cast
        // the result to a string array.
        String[] strings = (String[])list.toArray(new String[0]);
        print(strings);                      // [dog, null]

        // Try adding something other than a string to the list.
        list.add(new Integer(0));

        print( list.toArray() );             // [dog, null, 0]

        // The Integer object can not be stored in the string array.
        print( list.toArray(new String[0]) );// ArrayStoreException
    }

    static void print(Object[] arr) {
        System.out.println(Arrays.asList(arr));
    }
}
