import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Map m1 = new HashMap();
        m1.put("dog", "spot");
        m1.put("cat", "luck");

        Map m2 = new HashMap();
        m2.put("dog", "spot");

        System.out.println( m1.equals(null) );         // false
        System.out.println( m1.equals(m2) );           // false

        // Two maps are not equal even if all the keys match.
        m2.put("cat", "john");
        System.out.println( m1.equals(m2) );           // false

        m2.put("cat", "luck");
        System.out.println( m1.equals(m2) );           // true

        // Maps and sets are not equal, even if they have the same contents.
        System.out.println( new HashMap().equals(Collections.EMPTY_SET) );
                                                       // false
//
    }
}
