import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Map map = new HashMap();
        map.put("dog", "spot");
        map.put("cat", "luck");
        map.put("cow", "spot");
        map.put("yak", "spot");

        Collection col = map.values();
        System.out.println( col );                   // [luck, spot, spot, spot]
        System.out.println( col.contains("spot") );  // true

        // remove() removes one entry from the map.
        col.remove("spot");
        System.out.println( map );                   // {cat=luck, cow=spot, yak=spot}
 
        // removeAll() removes all entries with the value "spot".
        col.removeAll(Collections.singleton("spot"));
        System.out.println( map );                   // {cat=luck}

        // Add to the map and check the collection
        map.put("dog", "spot");
        System.out.println( col );                   // [luck, spot]

        // You can't add to the collection.
        //col.add("bess");                           // UnsupportedOperationException
//
    }
}
