import java.util.*;

class Main {
    public static void main(String[] args) {
//
        // -8 hours GMT. No daylight savings time.
        SimpleTimeZone tz = new SimpleTimeZone(-28800000, "JAV");

        // March 15th 2am - April 15th 2am
        tz = new SimpleTimeZone(-28800000, "JAV",
            Calendar.MARCH, 15, 0, 2*60*60*1000,
            Calendar.APRIL, 15, 0, 2*60*60*1000);

        // 3rd Sunday in March 2am - 3rd Sunday in April 2am
        tz = new SimpleTimeZone(-28800000, "JAV",
            Calendar.MARCH, 3, Calendar.SUNDAY, 2*60*60*1000,
            Calendar.APRIL, 3, Calendar.SUNDAY, 2*60*60*1000);

        // 2nd last Sunday in March 2am - 2nd last Sunday in April 2am
        tz = new SimpleTimeZone(-28800000, "JAV",
            Calendar.MARCH, -2, Calendar.SUNDAY, 2*60*60*1000,
            Calendar.APRIL, -2, Calendar.SUNDAY, 2*60*60*1000);

        // Sun on or before Mar 15 2am - Sun on or before Apr 15 2am
        tz = new SimpleTimeZone(-28800000, "JAV",
            Calendar.MARCH, -15, -Calendar.SUNDAY, 2*60*60*1000,
            Calendar.APRIL, -15, -Calendar.SUNDAY, 2*60*60*1000);

        // Sun on or after Mar 15 2am - Sun on or after Apr 15 2am
        tz = new SimpleTimeZone(-28800000, "JAV",
            Calendar.MARCH, 15, -Calendar.SUNDAY, 2*60*60*1000,
            Calendar.APRIL, 15, -Calendar.SUNDAY, 2*60*60*1000);
//
    }
}
