import java.util.*;

class Main {
    public static void main(String[] args) {
//
        TreeMap map = new TreeMap();
        map.put("c", null);
        map.put("p", null);
        Map tailmap = map.tailMap("g");
        System.out.println( tailmap );               // {p=null}

        // You can't put anything to the tailmap before g.
        //System.out.println( tailmap.put("a", null) );   // IllegalArgumentException
        System.out.println( tailmap.put("g", null) );     // null
        System.out.println( tailmap.put("z", null) );     // null
        System.out.println( map );                  // {c=null, g=null, p=null, z=null}

        // Put to map and check tailmap.
        map.put("h", null);
        System.out.println( tailmap );              // {g=null, h=null, p=null, z=null}
//
    }
}
