import java.io.*;
import java.util.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
//
        Attributes a1 = new Attributes();
        a1.putValue("dog", "spot");
        a1.putValue("cat", "luck");

        // Create a clone and modify it.
        Attributes a2 = (Attributes)a1.clone();
        print(a2);                            // {cat=luck, dog=spot}
        a2.remove(new Attributes.Name("dog"));
        print(a2);                            // {cat=luck}

        // The modification does not affect the original.
        print(a1);                            // {cat=luck, dog=spot}

        // Note: see the class example for the implementation of print().
//
    }
    static void print(Attributes a) {
        System.out.print("{");
        boolean first = true;
        for (Iterator it=a.keySet().iterator(); it.hasNext(); ) {
            if (first) {
                first = false;
            } else {
                System.out.print(", ");
            }
            Object key = it.next();
            System.out.print(key+"="+a.get(key));
        }
        System.out.print("}\n");
    }
}
