import java.util.zip.*;
import java.io.IOException;

class Main {
    public static void main(String[] args) {
        if (args.length != 1) {
            System.err.println("usage: java Main <zipfilename>");
            System.exit(-1);
        }
        try {
            ZipFile zf = new ZipFile(args[0]);
            System.out.println(args[0] + " has " + zf.size() + " entries.");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
